classification
Title: Add what's new entries for pickle enhancements
Type: enhancement Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, iritkatriel, ogrisel, pierreglaser, pitrou
Priority: normal Keywords: patch

Created on 2019-06-09 12:38 by pitrou, last changed 2020-10-12 19:10 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14503 merged pierreglaser, 2019-07-01 09:56
PR 14512 merged miss-islington, 2019-07-01 13:52
Messages (4)
msg345080 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-06-09 12:38
The various pickle enhancements in 3.8 (apart from PEP 574) need to be mentioned in the What's New document (`Doc/whatsnew/3.8.rst`).
msg347020 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-07-01 13:52
New changeset ec6c1bd0491590f3c0e2908a7b2dfb91b6acdae9 by Antoine Pitrou (Pierre Glaser) in branch 'master':
bpo-37209: Add pickle entry for 3.8 whatsnew (GH-14503)
https://github.com/python/cpython/commit/ec6c1bd0491590f3c0e2908a7b2dfb91b6acdae9
msg347022 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-07-01 14:05
New changeset e224d2865aa0f021b25d68de9a6c2be617341f4c by Antoine Pitrou (Miss Islington (bot)) in branch '3.8':
bpo-37209: Add pickle entry for 3.8 whatsnew (GH-14503) (GH-14512)
https://github.com/python/cpython/commit/e224d2865aa0f021b25d68de9a6c2be617341f4c
msg378280 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-10-08 19:21
This seems complete, can it be closed?
History
Date User Action Args
2020-10-12 19:10:10pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-08 19:21:08iritkatrielsetnosy: + iritkatriel
messages: + msg378280
2019-07-01 14:05:09pitrousetmessages: + msg347022
2019-07-01 13:52:12miss-islingtonsetpull_requests: + pull_request14328
2019-07-01 13:52:00pitrousetmessages: + msg347020
2019-07-01 09:56:15pierreglasersetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request14319
2019-06-09 12:38:47pitroucreate